/* xwGUI -- an X11-GUI for photo prints
 * Copyright (C) 2001 Stefan Kraus
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _XWPREFXWGUI_H
#define _XWPREFXWGUI_H

#include <forms.h>
#include <dirent.h>
#include <sys/stat.h>
#include <ctype.h>
#include <unistd.h>
#include <locale.h>
#include <string.h>
#include <stdlib.h>
#include <stdio.h>

#define spaces    "                                                                                                     "      

#define gsChoice        0
#define gsFS            1
#define gsButton        2

#define gsNone       9999

typedef struct globalsetting
{
   char              name[50];
   int               tab;
   int               type;
   int               token;
} globalsetting;


typedef struct prefxwguiform
{
   /* Main-Form data */
   FL_FORM           *form;
   /* Event Loop */
   FL_OBJECT         *obj;
   int               ready;

   FL_OBJECT         *FrameA;
   FL_OBJECT         *FrameB;
   FL_OBJECT         *FrameC;
   
   FL_OBJECT         *Settings;

   FL_OBJECT         *Choice;
   
   FL_OBJECT         *FSInput;
   FL_OBJECT         *FS;
   
   FL_OBJECT         *Button;
   
   FL_OBJECT         *Info;
   
   FL_OBJECT         *OK;
   FL_OBJECT         *HELP;   
} prefxwguiform;


void xwPrefxwGUISetup(void);
/* Init Browser */
void xwSetxwGUIBrowser(int mo);
/* Convert Settings mm <-> 1/10 mm */
void xwConvertMM(float factor);

#endif